[pkg-nvidia-devel] Bug#482995: Bug#482995: nvidia-glx: fails to start; can't find libwfb

Lennart Sorensen lsorense at csclub.uwaterloo.ca
Mon May 26 20:37:06 UTC 2008

On Mon, May 26, 2008 at 08:35:55AM -0400, Avery Fay wrote:
> Package: nvidia-glx
> Version: 169.12-2
> Severity: grave
> Justification: renders package unusable
> After upgrading to 169.12-2, X no longer starts.
> /var/log/Xorg.0.log:
> This is a pre-release version of the X server from The X.Org Foundation.
> It is not supported in any way.
> Bugs may be filed in the bugzilla at http://bugs.freedesktop.org/.
> Select the "xorg" product for bugs you find in this release.
> Before reporting bugs in pre-release versions please check the
> latest version in the X.Org Foundation git repository.
> See http://wiki.x.org/wiki/GitPage for git access instructions.
> X.Org X Server
> Release Date: 5 September 2007
> X Protocol Version 11, Revision 0
> Build Operating System: Linux Debian (xorg-server 2:1.4.1~git20080131-4)
> Current Operating System: Linux polar 2.6.24-1-amd64 #1 SMP Sat May 10 09:28:10 UTC 2008 x86_64
> Build Date: 29 April 2008  07:24:27PM

These two lines in the postrm script should have been run, but are not
in 169.12-2 (I just noticed that on testing it myself):

dpkg-divert --remove --rename --package nvidia-glx --divert /usr/lib/nvidia/libwfb.so.xserver-xorg-core /usr/lib/xorg/modules/libwfb.so > /dev/null
rm -f /usr/lib/xorg/modules/extensions/libglx.so.169.12 2> /dev/null || true

Running them manually should fix it.

The other option is to remove nvidia-glx and then reinstall it.  That
should clean it up.  The new version doesn't create that diversion
anymore, but we didn't get the upgrade quite right yet.

Len Sorensen

More information about the Pkg-nvidia-devel mailing list